{% extends "django_tables2/bootstrap4.html" %}

{% load django_tables2 %}

{% block table.tbody.row %}
    <tr {{ row.attrs.as_html }}>
        {% for column, cell in row.items %}
            <{% if column.attrs.header %}th scope="row"{% else %}td{% endif %} {{ column.attrs.td.as_html }}>
                {% if column.localize == None %}
                    {{ cell }}
                {% else %}
                    {% if column.localize %}
                        {{ cell|localize }}
                    {% else %}
                        {{ cell|unlocalize }}
                    {% endif %}
                {% endif %}
            </{% if column.attrs.header %}th{% else %}td{% endif %}>
        {% endfor %}
{% endblock %}

{% block table.tbody.empty_text %}
    <tr><td class="empty-table-message" colspan="{{ table.columns|length }}">{{ table.empty_text }}</td></tr>
{% endblock %}
